OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000304OMNeT++IDE / genericpublic2011-05-16 14:452011-05-23 14:52
Reporterandras 
Assigned Tolevy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target VersionFixed in Version 
Summary0000304: Poor rendering for information tooltips (hover controls) in the graphical editor and elsewhere
DescriptionAfter upgrading to Ubuntu 11.04, information tooltips (hover controls) in the graphical editor and in other editors look quite bad. Lines are truncated, etc.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000444)
andras (administrator)
2011-05-16 14:48

Install xulrunner-1.9.x. (don't install xulrunner-2.x, as is not supported by Eclipse 3.6.)

Background:

The IDE uses SWT's web browser component to render informational tooltips (aka hover controls) in many editors and views. SWT's web browser component is wrapper around a real browser (IE on Windows, Firefox/xulrunner or Webkit on other platforms). If the browser component is not present, a very simplistic html renderer is used in informational tooltips, which degrades user experience.

To check whether the web browser component is available in the IDE, open the General / Internal Web Browser view in Window -> Show View.
(0000452)
levy (developer)
2011-05-23 14:52

This bug has been fixed by using the platform's standard information control classes.

- Issue History
Date Modified Username Field Change
2011-05-16 14:45 andras New Issue
2011-05-16 14:48 andras Note Added: 0000444
2011-05-20 10:37 levy Assigned To => levy
2011-05-23 14:52 levy Note Added: 0000452
2011-05-23 14:52 levy Status new => resolved
2011-05-23 14:52 levy Fixed in Version => 4.2b3
2011-05-23 14:52 levy Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker